window.addEventListener("load", makeLoadListener(), false);

function makeLoadListener()
{
  return function(){
    var menu = document.getElementById("contentAreaContextMenu")
    menu.addEventListener(
      "popupshowing",
      makeContextListener(),
      false
    );
  }
}

function makeContextListener(){
  return function(aEvent){
    var t = gContextMenu.target;
    var isSelection = gContextMenu.isContentSelected;

    gContextMenu.showItem("popupwindow-annotate",           isSelection);
    gContextMenu.showItem("popupwindow-annotate-page",      !isSelection);

    // Only show the separator if at least one of the entries is shown.
    gContextMenu.showItem(
      "context-sep-annotate",
      isSelection||(!isSelection)
    );
  }
}
